package sfs.cluster.lobby.monitor;

import java.util.HashMap;
import java.util.Map;

public class MonitorEvent
{
	public static final String NODE_PING_FAILED = "nodePingFailed";
	public static final String NODE_CONNECTION_FAILED = "nodeConnectionFailed";
	
	private String eventName;
	private Map<String, Object> params;
	
	public MonitorEvent(String eventName)
	{
		this.eventName = eventName;
		this.params = new HashMap<String, Object>();
	}

	public String getEventName()
    {
    	return eventName;
    }

	public Map<String, Object> getParams()
    {
    	return params;
    }
	
	@Override
	public String toString()
	{
		return String.format("{ MONITOR EVENT: %s -> %s }", eventName, params );
	}
}
